PHP5.3/5.4安装Zend Optimizer(Zend Guard Loader)[Linux][Windows]

updated 2013-06-25:

php5.4安装Zend Guard Loader方法一样,只是下载路径变了而已
wget http://downloads.zend.com/guard/6.0.0/ZendGuardLoader-70429-PHP-5.4-linux-glibc23-x86_64.tar.gz
目前还没有看到php5.5 Zend Guard Loader的下载路径。

到目前发稿截止,Zend Optimizer目前的版本为3.3.3(Windows)、3.3.9(Linux),且均不支持PHP5.3及以上版本。

很多同学包括我自己,一直也是被B的只能使用PHP5.2版本,当然,因为DEDE对PHP5.3的支持不好,也没办法,只能停在5.2时代。

根据官方的说法,一直是这样:由于PHP5.3的升级功能太多,ZP更新以后,也无法再往下兼容低版本的Zeng Guard加密的PHP文件,甚至不支持PHP5.2.13以下版本的PHP环境。

总结成一句话,那就是“PHP版本更新太快了,已经没必要向下兼容低版本的Zend Guard和PHP5.2及以下版本了”。就如同PHP5.3不能兼容PHP5.2一样,很多函数被取消,很多同学认为这是PHP5时代和PHP6时代的分水岭。

PHP6就要来了。

话说了这么多,最重要的一点,其实PHP5.3也可以安装Zend Optimizer的。因为Zend公司专门针对5.3版本出了专用版本。那就是传说中的“Zend Guard Loader (Runtime for PHP 5.3)”

目前推测这个版本只能用于5.3系列,其官方网站已经明确列出5.2和5.3系的下载地址:http://www.zend.com/en/products/guard/downloads。

PHP5.3安装Zend Optimizer,已经被正式改成了“Zend Guard Loader”,简单来说,就是不需要安装软件,而是直接在php.ini中调用组件(扩展)即可。

有一点需要说明,我在Zend论坛看到这么一句Note:

Please note this Loader will not load PHP 5.2 code encoded with previous version of Guard. All PHP files must be re-encoded to run in PHP 5.3.

简单理解就是这个版本不支持PHP5.3以下版本的Zend Guard编译,所有文件要重新按5.3版本进行重新编译。那这里的Zend Guard版本,就要求升级为最新版,因为我们知道Zend Guard4只能按PHP4、PHP5两个版本加密,而最新版本的Zend Guard加密时可选的PHP版本只剩下php5.2、PHP5.3两个版本了。

从这里可以看出,如果要使用PHP5.3+Zend Guard的升级成本是非常高的。我已经开始隐隐蛋疼了,因为哥住的不是77元的二居室。

目前最新的Zend Guard 为去年年底发布的5.5版本,下载地址:http://downloads.zend.com/guard/5.5.0/ZendGuard-5_5_0.exe,这里有Key(哥们翻遍了整个互联网才找到的):http://www.4wei.cn/archives/1000433。如果不出意外,以后版本中Zend Optimizer将不复存在,取代的就是“Zend Guard Loader”,不管什么优化、加速、保护功能全通过此功能加载。听起来好像类似于App扩展。

Guard Loader 的用法和以前没什么区别,都是在php.ini“最末尾”添加一句命令引入文件就行。

zend_extension=

说一下这里为什么要使用“最末尾”,这里是个人建议,因为用时候会出一些莫名的问题,如不能正常载入Zend,不能读取PHP文件,尤其表现在和eAccelerator载入顺序冲突等。

以下是操作的shell片段:
第一步,通过探针或者PHPinfo查询到当前加载的php.ini

Loaded Configuration File:/etc/php5/apache2/php.ini

第二步,下载扩展

wget http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz

Windows下为

http://downloads.zend.com/guard/5.1.0EA/ZendGuardLoader-php-5.3-Windows.zip

第三步,解压,提取ZendGuardLoader.so,Windows下叫ZendLoader.dll,放到PHP的ext目录下(推荐,不是必须)
第四步,编辑php.ini,添加相关配置信息

vi /etc/php5/apache2/php.ini
zend_extension=/usr/local/zend/ZendGuardLoader.so

或者

[Zend.loader]
zend_loader.enable=1
zend_loader.disable_licensing=1
zend_loader.obfuscation_level_support=3
zend_loader.license_path=
zend_extension="c:\php\ext\ZendLoader.dll"

最后,重启Webserver。

godaddy安装Zend Optimizer请参考:“Godaddy 安装 Zend Optimizer,以及Shopex报500错误的问题,php5.2



《PHP5.3/5.4安装Zend Optimizer(Zend Guard Loader)[Linux][Windows]》有11个想法

  1. 08年就开始接触火车那时好像还是3.几的版本,那个时候 自己写个采集,发布还行,但没有坚持下去,网站也没有坚持下去。哎。。。
    现在 都奔30的人了又想起来 重新学学。。。茶具呀!
    有相关制作教程没,望指点!QQ408143785.

  2. 下载那个文件 .至 php下的ext文件夹

    php.ini添加以下内容

    [Zend.loader]
    zend_loader.enable=1
    zend_loader.disable_licensing=1
    zend_loader.obfuscation_level_support=3
    zend_loader.license_path=
    zend_extension="c:\wamp\bin\php\php5.3.0\ext\ZendLoader.dll"

    zend_extension=

    ...结果还是不行.. 难道我哪里弄错了 ?

发表评论

电子邮件地址不会被公开。